Subject: application/nlsml+xml (was RE: [Speechsc] IANA considerations for group feedback)

From: Eric Burger <[email-masked]>
Date: Fri, 4 Feb 2005 17:34:20 -0500

I would suggest one and only one registration:

application/nlsml+xml

It is not an x-, as we are registering it.  It should end with +xml, per
RFC3023.  RFC3023 also has to be referenced in the registration.

Likewise, the schemas need to be registered per RFC3688.

The registration needs to be a part of speechsc, for all of the convoluted
reasons you alluded to :)

> -----Original Message-----
> From: David R Oran [mailto:[email-masked]]
> Sent: Thursday, January 27, 2005 1:36 PM
> To: Dan Burnett
> Cc: [email-masked]; [email-masked]; 'Reifenrath, Klaus'
> Subject: Re: [Speechsc] IANA considerations for group feedback
> 
> 
> 
> On Jan 26, 2005, at 1:27 PM, Dan Burnett wrote:
> 
> > I have some concerns with this.  In one of my other
> > recent responses I said I would be happen to include a
> > registration for application/nlsml in the draft, but I
> > would still prefer for that registration to occur
> > independently since we don't own the NLSML draft.
> >
> > This ugly beast has raised its head many times.
> > speechsc does not own NLSML but has adopted it (for
> > reasons too convoluted to review in this email).
> > There was never a MIME type registered for it.
> >
> > Eric, Dave, what do you think?  Should we register
> > application/nlsml as part of MRCP, register
> > application/nlsml separately, or leave things as they
> > are and refer to application/x-nlsml?
> >
> I think either will have some difficulties convincing the PWB, but I 
> think we could get either through. I'd hedge bets and put in words in 
> the IANA considerations asking them to register one OR THE OTHER at 
> their discretion.
> 
> > -- dan
> > p.s. now I know why Eric and Dave wanted someone else
> > to volunteer :)
> >
> >
> > --- Thomas Gal <[email-masked]> wrote:
> >
> >> Just to make sure it should no longer be x-nlsml if
> >> we are standardizing it.
> >> From IANA:
> >>
> >> A server MUST NOT offer unregistered or non-standard
> >> capability names,
> >> unless such names are prefixed with an "X".
> >>
> >> More specifically:
> >> Begin with "x-": Private use. Begin with "e-":
> >> Experimental use, registered
> >> FCFS. All others: Expert review.
> >>
> >> -Tom
[snip]

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc